# -*- coding: utf-8 -*-
from django.shortcuts import render, HttpResponseRedirect
from django.http import HttpRequest, HttpResponse
from django.contrib.auth import authenticate, login, logout
from django.template.exceptions import TemplateDoesNotExist, TemplateSyntaxError


def index(request: HttpRequest) -> HttpResponse:
    """ тест индексной страницы

    :param
    :return response: исходящий http-ответ
    """
    # try:
    #     return render(request, "index.jinja", {})
    # except (TemplateDoesNotExist, TemplateSyntaxError) as e:
    #     # Обработка ошибки отсутствия шаблона
    #     return HttpResponse(f"Не нашли шаблон или в нем ошибка \"{e}\".", status=424)
    return render(request, "index.jinja", {})


def my_logout(request: HttpRequest) -> HttpResponseRedirect:
    """ Разлогируем пользователя

    :param
    :return response: исходящий http-ответ
    """
    logout(request)
    return HttpResponseRedirect('/')


def my_login(request: HttpRequest) -> HttpResponseRedirect:
    """ Логиним пользователя

    :param
    :return response: исходящий http-ответ
    """
    print(request.POST)
    if request.method == 'POST':
        username = request.POST.get('username')
        password = request.POST.get('password')
        print(username, password)
        user = authenticate(request, username=username, password=password)
        if user is not None:
            login(request, user)
            # A backend authenticated the credentials
            print(f"{user} is authenticated")
        else:
            # No backend authenticated the credentials
            pass
        # request.session['user'] = request.POST.get('login')
    return HttpResponseRedirect('/')
